Package es.imim.DISGENET.internal.enrichment

# Class GeneEnrichment

java.lang.Object
es.imim.DISGENET.internal.enrichment.GeneEnrichment

public class GeneEnrichment extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`colGenesBG`
`static final String`
`colGenesRatio`
`static final String`
`colGenesSUID`
`static final String`
`colID`
`static final String`
`colListGenes`
`static final String`
`colName`
`static final String`
`colPvalue`
`static final String`
`colSource`
`static final String`
`enrichmentURL`
`static final String[]`
`swingColumnsEnrichment`

## Constructor Summary

Constructors
Constructor
Description
`GeneEnrichment()`
`GeneEnrichment(String cui, String name, String source, String geneRatio, String bgRatio, Double pValue, List<Integer> geneIds, List<Long> geneNodes)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getBgRatio()`
`List<?>`
`getGeneIds()`
`List<Long>`
`getGeneNodes()`
`String`
`getGeneRatio()`
`String`
`getName()`
`int`
`getNumberGenes()`
`Double`
`getpValue()`
`String`
`getSource()`
`void`
`setBgRatio(String bgRatio)`
`void`
`setGeneIds(List<Integer> geneIds)`
`void`
`setGeneNodes(List<Long> geneNodes)`
`void`
`setGeneRatio(String geneRatio)`
`void`
`setName(String name)`
`void`
`setpValue(Double pValue)`
`void`
`setSource(String source)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### enrichmentURL

public static final String enrichmentURL

See Also:
  - Constant Field Values

### colID

public static final String colID

See Also:
  - Constant Field Values

### colName

public static final String colName

See Also:
  - Constant Field Values

### colSource

public static final String colSource

See Also:
  - Constant Field Values

### colGenesRatio

public static final String colGenesRatio

See Also:
  - Constant Field Values

### colGenesBG

public static final String colGenesBG

See Also:
  - Constant Field Values

### colListGenes

public static final String colListGenes

See Also:
  - Constant Field Values

### colPvalue

public static final String colPvalue

See Also:
  - Constant Field Values

### colGenesSUID

public static final String colGenesSUID

See Also:
  - Constant Field Values

### swingColumnsEnrichment

public static final String[] swingColumnsEnrichment

## Constructor Details

### GeneEnrichment

public GeneEnrichment()

### GeneEnrichment

public GeneEnrichment(String cui, String name, String source, String geneRatio, String bgRatio, Double pValue, List<Integer> geneIds, List<Long> geneNodes)

## Method Details

### getNumberGenes

public int getNumberGenes()

### getName

public String getName()

### setName

public void setName(String name)

### getSource

public String getSource()

### setSource

public void setSource(String source)

### getGeneRatio

public String getGeneRatio()

### setGeneRatio

public void setGeneRatio(String geneRatio)

### getBgRatio

public String getBgRatio()

### setBgRatio

public void setBgRatio(String bgRatio)

### getpValue

public Double getpValue()

### setpValue

public void setpValue(Double pValue)

### getGeneIds

public List<?> getGeneIds()

### setGeneIds

public void setGeneIds(List<Integer> geneIds)

### getGeneNodes

public List<Long> getGeneNodes()

### setGeneNodes

public void setGeneNodes(List<Long> geneNodes)